package com.happy.constant;

public enum ResultStatusCode {
	/** OKlockcslock */
	QUIT(200, "退出成功"),
	/** OK */
	OK(200, "OK"),
	/** 访问超时 */
	TIME_OUT(130, "访问超时"),
	/** 参数解析失败 */
	BAD_REQUEST(400, "参数解析失败"),
	/** 无法订房 */
	CANNTBOOKING(400, "无法订房"),
	/** 记录不存在 */
	NOT_EXIST(404, "记录不存在"),
	/** 不支持当前请求方法 */
	METHOD_NOT_ALLOWED(405, "不支持当前请求方法"),
	/** 服务器运行异常 */
	SYSTEM_ERR(500, "服务器运行异常"),
	/** 该用户不存在或密码错误 */
	NOT_EXIST_USER_OR_ERROR_PWD(10000, "该用户不存在或账号密码错误"),
	/** 该用户已登录 */
	LOGINED_IN(10001, "该用户已登录"),
	LOGINED_IN2(10002, "该用户不存在"),
	LOGINED_IN3(100021, "该用户登录已失效"),
	/** 登录异常 */
	SHIRO_ERROR(10003, "登录异常"),
	/** 您没有该权限 */
	UNAUTHO_ERROR(10004, "您没有该权限"),
	/** 请绑定手机号 */
	BIND_PHONE(10010, "请绑定手机号"),
	/** 上传文件异常 */
	UPLOAD_ERROR(20000, "上传文件异常"),
	/** 无效的验证码 */
	INVALID_CAPTCHA(30005, "无效的验证码"),
	/** 该用户已被冻结 */
	USER_FROZEN(40000, "该用户已被冻结"),
	/** 该用户未绑定微信号 */
	USER_NOT_WX_OAUTH(40004, "该用户未进行微信授权"),
    /** 该用户未绑定微信号 */
	USER_NOT_BIND_WX(5000, "该用户未绑定微信号"),
    /** 该用户成功绑定微信号 */
    USER_BIND_WX_OK(5005, "该用户成功绑定微信号"),
	/** 该部门已存在 */
	DEPARTMENT_EXIT(5006, "该部门已存在"),
	/** 该用户已存在 */
	USER_EXIST(6000, "该用户已存在"),
	/** 该账号已存在 */
	USERACCOUNT_EXIST(6002, "该账号已存在"),
	/** 缴费用户信息不存在 */
	PARTYDUES_USER_NOEXIT(6003, "缴费用户信息不存在"),
	/** 党费信息不存在 */
	PARTYDUES_NOEXIT(6004, "费用信息不存在"),
	/** 党费信息党费已支付 */
	PARTYDUES_OK(6005, "费用已支付"),
	/** 党费订单支付失败 */
	PARTYDUES_ERR(6009, "费用支付失败");

	private int status;
	private String msg;

	public int getStatus() {
		return status;
	}

	public void setStatus(int status) {
		this.status = status;
	}

	public String getMsg() {
		return msg;
	}

	public void setMsg(String msg) {
		this.msg = msg;
	}

	private ResultStatusCode(int code, String msg) {
		this.status = code;
		this.msg = msg;
	}

	@Override
	public String toString() {
		return "{\"status\":" + this.status + ",\"msg\":\"" + this.msg + "\",\"data\": null, \"ok\": false}";
	}
}

